List API endpoints
curl --request GET \
--url https://app.manypi.com/api/endpoints \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.manypi.com/api/endpoints"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.manypi.com/api/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"method": "GET",
"scraper_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"param_schema": {},
"output_schema": {},
"freshness": "cached_ok",
"cache_ttl_seconds": 123,
"mode": "sync",
"created_at": "2023-11-07T05:31:56Z"
}
]{
"error": "<string>",
"code": "<string>"
}Endpoints
List API endpoints
Your published endpoints and the scrapers backing them.
Requires the read permission.
GET
/
api
/
endpoints
List API endpoints
Authorizations
A ManyPI API key (mpi_...) from Settings → API keys, or an OAuth 2.1 access token obtained through the MCP consent flow.
Response
Endpoints.
Available options:
GET, POST Available options:
cached_ok, always_fresh Available options:
sync, async ⌘I
